<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>

        body {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(600px, 1fr));
        }

        .title {
            grid-column: span 2;
        }
        .target {
            border: 1px solid black;
            width: 400px;
            height: 300px;
            display: inline-block;
        }
        .block-label {
            display: inline-block;
            text-align: right;
        }
    </style>
</head>
<body onload="window.top.myAppComponentLoader('target1', 'target2', 'target3')">
<p class="title">This is a regular html page with only a single line of js in the body.onload event: &quot;window.top.angularComponentReference('target1', 'target2')&quot; </p>


<div class="block-label"> this is a standard div with the id 'target1'. It has no timeout and should load immediately.&rarr;</div><div id="target1" class="target">untargeted</div>
<div class="block-label"> this is a standard div with the id 'target2'. To hightlight the lazy loading we wait a second and load this component. &rarr;</div><div id="target2" class="target">untargeted</div>
<div class="block-label"> this is a standard div with the id 'target3'. After another &rarr;</div><div id="target3" class="target">untargeted</div>


</body>
</html>
